kr.co.hanwha.hifive.base

## Class BaseViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder

- Direct Known Subclasses:
    AlarmListViewHolder, CalendarGridViewHolder, CommentHeaderViewHolder, CommentListViewHolder, FooterLoadingViewHolder, HomeHeaderViewHolder, MainDashboardGridViewHolder, MainEmptyFamousSayingListViewHolder, MainEmptyListViewHolder, MainHomeAssignedListViewHolder, MainHomeRequestListViewHolder, MainHomeTitleHeaderViewHolder, MainHomeTodayHeaderViewHolder, MainProjectCampaignHeaderViewHolder, MainProjectHeaderViewHolder, MainProjectMarginListViewHolder, MainProjectTaskListViewHolder, MarginViewHolder, OKRCampaignListViewHolder, SearchTaskListViewHolder, SelectCampaignListViewHolder, SelectMemberListViewHolder, TaskDetailHeaderViewHolder, TaskHistoryViewHolder

      public class BaseViewHolder
      extends android.support.v7.widget.RecyclerView.ViewHolder

  Created by sanghoonkwon on 2018. 1. 10..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private android.content.Context` | `mContext`

    - ### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `itemView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseViewHolder(android.view.ViewGroup viewGroup, int layoutRes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `android.content.Context` | `getContext()`
    `int` | `getHeight()`
    `void` | `onBind(java.lang.Object object, int index)`

    - ### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mContext

          private android.content.Context mContext

  - ### Constructor Detail

    - #### BaseViewHolder

          public BaseViewHolder(android.view.ViewGroup viewGroup,
                                int layoutRes)

  - ### Method Detail

    - #### onBind

          public void onBind(@NonNull
                             java.lang.Object object,
                             @NonNull
                             int index)

    - #### getContext

          public android.content.Context getContext()

    - #### getHeight

          public int getHeight()